# PetscLogAllBegin

Turns on extensive logging of objects and events. Logs all events. This creates large log files and slows the program down.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogAllBegin(void)

Collective on PETSC_COMM_WORLD

### Options Database Keys

-log_all -Prints extensive log information (for code compiled with PETSC_USE_LOG)

### Usage

         PetscInitialize(...);
         PetscLogAllBegin();
         ... code ...
         PetscLogDump(filename);
         PetscFinalize();

### Notes

A related routine is PetscLogBegin (with the options key -log), which is intended for production runs since it logs only flop rates and object creation (and shouldn't significantly slow the programs).

### Keywords

log, all, begin

### See Also

PetscLogDump(), PetscLogBegin(), PetscLogTraceBegin()

Level:advanced
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages